
QGIS Application - Bug report #16003

Memory Leak saving Vector Data

2016-12-22 03:55 AM - Peter Drexel

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Vectors

Affected QGIS version:2.14.7 Regression?: No

Operating System: Windows 7 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23919

Description

In QGIS 2.14.7 and 2.18.2

when I export a Shapefile using "Save As" from the context menue of the Layer the memory-consumption of QGIS (as shown in the

Windows-Task-Manager) rises ~ the size of the Shapefile, even If I do not open the newly created file after the export.

The Same happens when I directly use QgsVectorFileWriter.writeAsVectorFormat(vlayer, path, 'utf-8', None, "ESRI Shapefile") 

as well as when I use the Bulk vector export plugin and.

Even If I create a new project or open an other project directly after the export of the new vectorlayer the memory consumption stays high.

In QGIS 2.8.4 everything was fine

Thanks

Peter

Associated revisions

Revision 826a8675 - 2017-02-07 10:07 PM - Nyall Dawson

Fix large memory leak in vector file writer (fix #16003)

Every written geometry is being leaked... ouch!

Revision 119e1815 - 2017-02-13 01:26 AM - Nyall Dawson

Fix large memory leak in vector file writer (fix #16003)

(cherry-picked from 826a86)

History

#1 - 2017-01-09 04:35 AM - Peter Drexel

Can anyone confirm this or am I the only one?

#2 - 2017-02-07 07:11 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"826a86752c0b5ca2fc9d498db401bd5d87111fac".
